#include "../NAME.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static const char ref_msg[] = "Hello, world!";

int main()
{
    const char *msg = NAME_get_msg();
    if (!strcmp(msg, ref_msg))
        return EXIT_SUCCESS;

    fprintf(stderr, "NAME_get_msg() failed: \"%s\" != \"%s\"\n", msg, ref_msg);
    return EXIT_FAILURE;
}
